import AssertionError from "../Error.mjs";

/**
 * Assert a value
 *
 * @param {string} value
 * @return {bool}
 * @throws {Error} If value not truthy (assertion fails).
 * 
 * @package Tramline
 * @subpackage Assertions
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
let assert = (value) => {
	if (value) return true;
	else throw new AssertionError("Assertion of value failed.", false, true);
}

export default assert;