import AssertionError from "../Error.mjs";

/**
 * Check if values are equivalent using loose equality operator (`==`).
 *
 * @param {mixed} a
 * @param {mixed} b
 * @return {bool}
 * @throws {Error} If values not equivalent (assertion fails).
 *
 * @package Tramline
 * @subpackage Assertions
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
let equivalent = (a, b) => {
	if (a == b) return true;
	else throw new AssertionError("Assertion equivalent failed.", a, b);
}

export default equivalent;