import AssertionError from "../Error.mjs";

/**
 * Checks if a value is "falsey".
 *
 * @param {mixed} value
 * @return {bool}
 * @throws {Error} If value is not falsey.
 *
 * @package Tramline
 * @subpackage Assertions
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
let falsey = (value) => {
	if (!value) return true;
	else throw new AssertionError(`Value not falsey.`, value, false);
}

export default falsey;