import AssertionError from "../Error.mjs";

const MSG = "Assertion that values are identical failed.";

/**
 * Check if values are identical using strict equality operator (`===`).
 *
 * For reference types, the values must be the exact same object.
 *
 * For primitive types, the values must be identical.
 *
 * @param {mixed} a
 * @param {mixed} b
 * @return {bool}
 * @throws {Error} If values not identical (assertion fails).
 *
 * @package Tramline
 * @subpackage Assertions
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
let identical = (a, b) => {
	if (a === b) return true;
	else throw new AssertionError("Assertion identical failed.", a, b);
}

export default identical;