import AssertionError from "../Error.mjs";

/**
 * Checks if a value is "truthy".
 *
 * @param {mixed} value
 * @return {bool} [description]
 * @throws {Error} If value is not truthy.
 *
 * @package Tramline
 * @subpackage Assertions
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
let truthy = (value) => {
	if (value) return true;
	else throw new AssertionError(`Value not truthy`, value, true);
}

export default truthy;