/**
 * Test
 *
 * @package Tramline
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
class Test {

	/**
	 * Constructor.
	 *
	 * @param {string} unit
	 * @param {string} title
	 * @return {self}
	 */
	constructor(unit, title) {

		/**
		 * Unit
		 *
		 * @var {string}
		 */
		this.unit = unit;

		/**
		 * Title
		 *
		 * @var {string}
		 */
		this.title = title;

		/**
		 * Passed status
		 *
		 * @var {bool}
		 */
		this.passed = null;

		/**
		 * Error, if fails
		 *
		 * @var {Error|null}
		 */
		this.error = null;

		/**
		 * Execution finished
		 *
		 * @var {bool}
		 */
		this.run = false;

	}

}

export default Test;