/**
 * Error class
 *
 * @package Requesty
 * @author James Walker
 * @copyright James Walker 2019
 * @license MIT License
 */
class RequestyError extends Error {

	/**
	 * Capture stack trace for the error, if supported.
	 *
	 * @return {void}
	 */
	captureStackTrace() {
		if (typeof Error.captureStackTrace === "function") {
			Error.captureStackTrace(this, this.constructor);
		}
		else {
			this.stack = (new Error(this.message)).stack;
		}
	}

}

export default RequestyError;