import Error from "../error.mjs";

/**
 * Body key already exists error
 *
 * @package Requesty
 * @subpackage Errors
 * @author James Walker
 * @copyright James Walker 2019
 * @license MIT License
 */
class BodyKeyExistsError extends Error {

	/**
	 * Constructor.
	 *
	 * @param {string} key
	 * @return {self}
	 */
	constructor(key) {
		super();

		/**
		 * Key name
		 *
		 * @var {string}
		 */
		this.key = key;

		/**
		 * Message
		 *
		 * @var {string}
		 */
		this.message = `Body key "${key}" has already been added.`;

		/**
		 * Name
		 *
		 * @var {string}
		 */
		this.name = this.constructor.name;

		/**
		 * Capture stack trace
		 */
		this.captureStackTrace();

	}

}

export default BodyKeyExistsError;