import Error from "../error.mjs";

/**
 * Header already exists error
 *
 * @package Requesty
 * @subpackage Errors
 * @author James Walker
 * @copyright James Walker 2019
 * @license MIT License
 */
class HeaderExistsError extends Error {

	/**
	 * Constructor.
	 *
	 * @param {string} header
	 * @return {self}
	 */
	constructor(header) {
		super();

		/**
		 * Header name
		 *
		 * @var {string}
		 */
		this.header = header;

		/**
		 * Message
		 *
		 * @var {string}
		 */
		this.message = `Header "${header}" has already been added.`;

		/**
		 * Name
		 *
		 * @var {string}
		 */
		this.name = this.constructor.name;

		/**
		 * Capture stack trace
		 */
		this.captureStackTrace();

	}

}

export default HeaderExistsError;