import Error from "../error.mjs";

/**
 * Request error
 *
 * @package Requesty
 * @subpackage Errors
 * @author James Walker
 * @copyright James Walker 2018
 * @license MIT License
 */
class RequestError extends Error {

	/**
	 * Constructor.
	 *
	 * @param {int} status Status code
	 * @param {string} message Status message
	 * @return {self}
	 */
	constructor(status, message) {
		super();

		/**
		 * Status
		 *
		 * @var {int}
		 */
		this.status = status;

		/**
		 * Message
		 *
		 * @var {string}
		 */
		this.message = message;

		/**
		 * Name
		 *
		 * @var {string}
		 */
		this.name = this.constructor.name;

		/**
		 * Capture stack trace
		 */
		this.captureStackTrace();
		
	}

}

export default RequestError;