import Error from "../error.mjs";

/**
 * Requesty error
 *
 * @package Requesty
 * @subpackage Errors
 * @author James Walker
 * @copyright James Walker 2019
 * @license MIT License
 */
class RequestyError extends Error {

	/**
	 * Constructor.
	 *
	 * @param {string} message
	 * @return {self}
	 */
	constructor(message) {
		super();

		/**
		 * Message
		 *
		 * @var {string}
		 */
		this.message = `Requesty error: ${message}`;

		/**
		 * Name
		 *
		 * @var {string}
		 */
		this.name = this.constructor.name;

		/**
		 * Capture stack trace
		 */
		this.captureStackTrace();

	}

}

export default RequestyError;